Loading...
Searching...
No Matches
OpenMPUtilities.h File Reference

Header file for OpenMPUtilities (set some common macros). More...

`#include <omp.h>`
`#include <algorithm>`
`#include <string>`
`#include "Settings.h"`

Go to the source code of this file.

## Macros

#define | FF_AUDIO_NUM_PROCESSORS std::min(omp_get_num_procs(), std::max(2, openshot::Settings::Instance()->FF_THREADS))
#define | FF_VIDEO_NUM_PROCESSORS std::min(omp_get_num_procs(), std::max(2, openshot::Settings::Instance()->FF_THREADS))
#define | OPEN_MP_MAX_ACTIVE OPEN_MP_NUM_PROCESSORS
#define | OPEN_MP_NUM_PROCESSORS std::min(omp_get_num_procs(), std::max(2, openshot::Settings::Instance()->OMP_THREADS))

## Detailed Description

Header file for OpenMPUtilities (set some common macros).

Author
  Jonathan Thomas jonat.nosp@m.han@.nosp@m.opens.nosp@m.hot..nosp@m.org

License

Definition in file OpenMPUtilities.h.

## Macro Definition Documentation

## FF_AUDIO_NUM_PROCESSORS

#define FF_AUDIO_NUM_PROCESSORS std::min(omp_get_num_procs(), std::max(2, openshot::Settings::Instance()->FF_THREADS))

Definition at line 25 of file OpenMPUtilities.h.

Referenced by openshot::FFmpegReader::Open().

## FF_VIDEO_NUM_PROCESSORS

#define FF_VIDEO_NUM_PROCESSORS std::min(omp_get_num_procs(), std::max(2, openshot::Settings::Instance()->FF_THREADS))

Definition at line 24 of file OpenMPUtilities.h.

Referenced by openshot::FFmpegReader::Open().

## OPEN_MP_MAX_ACTIVE

#define OPEN_MP_MAX_ACTIVE OPEN_MP_NUM_PROCESSORS

Definition at line 32 of file OpenMPUtilities.h.

## OPEN_MP_NUM_PROCESSORS

#define OPEN_MP_NUM_PROCESSORS std::min(omp_get_num_procs(), std::max(2, openshot::Settings::Instance()->OMP_THREADS))

Definition at line 23 of file OpenMPUtilities.h.

Referenced by openshot::FrameMapper::FrameMapper().